T2080 uboot compile

cancel
Showing results for 
Search instead for 
Did you mean: 

T2080 uboot compile

1,077 Views
jiachaozhang
Contributor II

Dear freescale :

          I want to reconfig and compile  T2080 uboot to boot vxworks,  

          the sale  give me  QorIQ Linux SDK v2.0 PPC64E6500 Yocto Cache.iso,

          I  install it step by step,  

          but  I  can not get T2080 uboot source code ,  and do not know how to compile T2080 uboot

          please tell me how to get T2080  uboot   source code and compile it 

          thinks a lot !

Labels (1)
Tags (1)
0 Kudos
3 Replies

407 Views
yehudamarko
Contributor I

hello ,

my question is , I need to work with uboot version v2014.01 , and later .

can you confirm it is what I need ,

how can verify I'm using the proper version?

thx

yuda

0 Kudos

407 Views
yipingwang
NXP TechSupport
NXP TechSupport

Hello Jiachao Zhang,

Please download Linux SDK 2.0 Source and Cache ISOs from Linux® SDK for QorIQ ® Processors|NXP , please install both ISOs "QorIQ Linux SDK v2.0 SOURCE.iso" and "QorIQ Linux SDK v2.0 PPCE6500 Yocto Cache.iso" in the same path.

Go to the folder <installation_path>/QorIQ-SDK-V2.0-20160527-yocto, create the build project and fetch u-boot source, modify and rebuild u-boot.

$ source ./fsl-setup-env -m t2080rdb

Get u-boot source code:

$ bitbake u-boot -c cleansstate

$ bitbake u-boot -c patch

Go to the u-boot source folder build_t2080rdb/tmp/work/t2080rdb-fsl-linux/u-boot-qoriq/2016.09+fslgit-r0/git/ to modify u-boot source code according to your requirement.

Go back to folder build_t2080rdb to rebuild u-boot

$ bitbake u-boot


Have a great day,
TIC

-----------------------------------------------------------------------------------------------------------------------
Note: If this post answers your question, please click the Correct Answer button. Thank you!
-----------------------------------------------------------------------------------------------------------------------

0 Kudos

407 Views
yehudamarko
Contributor I

hello ,

my question is , I need to work with uboot version v2014.01 , and later .

can you confirm it is what I need ,

how can verify I'm using the proper version?

thx

yuda

0 Kudos